Skip to main content
GET
/
email-templates
Get All Templates
curl --request GET \
  --url https://api-{dc}.moengage.com/v2/email-templates \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: <content-type>' \
  --header 'MOE-APPKEY: <moe-appkey>'
{
  "status": "success",
  "data": {
    "templates": [
      {
        "template_id": "645a2bd910e0307e6d7f7717",
        "template_name": "Coupon_code_template",
        "is_archived": false,
        "builder_supported": false,
        "editor": "Froala Editor",
        "created_date": "2023-05-09 11:17:43.112000",
        "updated_at": "2023-05-09 11:18:37.692000",
        "updated_by": "jane.doe@example.com"
      }
    ],
    "no_of_templates": 13
  }
}

Rate Limit

The rate limits are at the app level, and a maximum of thousand (sum of all the API requests per app)requests are allowed for an app per minute.

Authorizations

Authorization
string
header
required

The API request will be authenticated through Basic Authentication. Basic Authentication sends a Base64-encoded string containing your username and password with every API request.

The username and password details can be obtained from the MoEngage Dashboard. If you're using the API for the first time, follow these steps:

  1. Navigate to Settings -> Account -> APIs.
  2. Copy the following details:
    • Username: Under Workspace ID (earlier app id), click the copy icon to copy the username.
    • Password: In the API keys section, click the copy icon in the Data tile to copy the API key.
  3. Use these details to authenticate the API requests.

Headers

MOE-APPKEY
string
required

This is your MoEngage account's WORKSPACE ID which must be passed along with the request. You can find your MoEngage WORKSPACE ID at Settings -> Account -> APIs -> WORKSPACE ID.

Content-Type
enum<string>
required

Set the Content-Type header to application/json.

Available options:
application/json
Authorization
string
required

This authentication parameter, used for access control, must be passed along with the request. To generate the authentication header, refer to Authentication.

Query Parameters

page
integer
default:1

This parameter represents the page number. If this value is not specified, it will be considered as one by default. Each page will have a batch size of 20( 20 templates will be returned in a page).

Example:

1

Response

This response is returned when the request is processed successfully.

status
string

This field contains the status of the request and denotes whether it was successful or not.

Example:

"success"

data
object

This field contains the id of the created template when the request is successful and the error details in case of an unsuccessful request.